[Buildroot] [PATCH V3 2/4] avrdude: Depend on elfutils instead of libelf to get the libelf library

Peter Korsgaard jacmet at uclibc.org
Sat Sep 13 22:01:54 UTC 2014


>>>>> "Gregory" == Gregory CLEMENT <gregory.clement at free-electrons.com> writes:

 > The elfutils package provides a more recent version of the libelf, so
 > let's use it. It will allow to remove the libelf package and to avoid
 > conflicts with two packages providing the same library.

 > Signed-off-by: Gregory CLEMENT <gregory.clement at free-electrons.com>
 > ---
 >  package/avrdude/Config.in  | 6 +++++-
 >  package/avrdude/avrdude.mk | 2 +-
 >  2 files changed, 6 insertions(+), 2 deletions(-)

 > diff --git a/package/avrdude/Config.in b/package/avrdude/Config.in
 > index 8eac014..9a9b3fb 100644
 > --- a/package/avrdude/Config.in
 > +++ b/package/avrdude/Config.in
 > @@ -1,10 +1,14 @@
 >  config BR2_PACKAGE_AVRDUDE
 >  	bool "avrdude"
 > -	select BR2_PACKAGE_LIBELF
 > +	select BR2_PACKAGE_ELFUTILS
 >  	select BR2_PACKAGE_LIBUSB
 >  	select BR2_PACKAGE_LIBUSB_COMPAT
 >  	select BR2_PACKAGE_NCURSES
 >  	depends on BR2_TOOLCHAIN_HAS_THREADS
 > +	depends on BR2_LARGEFILE # elfutils
 > +	depends on BR2_USE_WCHAR # elfutils
 > +	depends on !BR2_avr32 # elfutils
 > +	depends on !BR2_bfin # elfutils
 >  	help
 >  	  avrdude is a programmer for Atmel AVR microcontrollers
 >  	  this package provides a version with new linuxspi driver

You forgot to update the toolchain options comment below.

Committed with that fixed, thanks.

-- 
Bye, Peter Korsgaard



More information about the buildroot mailing list